package com.ssm.manage.service;

import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.entity.SysUser;
import com.ssm.manage.query.UserRequest;
import com.ssm.manage.response.UserResponse;

import javax.servlet.http.HttpSession;

public interface SsmLoginService extends BaseService<SysUser> {
    public UserResponse accountLogin(UserRequest userRequest)throws SmsException;
    public UserResponse phoneLogin(UserRequest userRequest) throws SmsException;

    public UserResponse phonePassLogin(UserRequest userRequest) throws SmsException;

    public UserResponse getSmsCode(UserRequest userRequest) throws SmsException;

    public int changePassword(UserRequest userRequest) throws SmsException;

    void logout(UserRequest userRequest,HttpSession session) throws SmsException;
}
